import React, { useEffect, useState } from 'react';
import * as d3 from 'd3';
import styles from './index.less';
import { Image } from 'antd';

import WaterMark from 'watermark-component-for-react';

export default function chartPage() {
  const [url, setUrl] = useState();
  const [hasRight, setHasRight] = useState('true');
  const [watermark, setWatermark] = useState();

  //获取数据
  useEffect(() => {
    d3.json('/api/ais/orgChart/chartData').then((res) => {
      setWatermark(res.data.watermark);
      setUrl(res.data.url);
      setHasRight('true');
    });
  }, []);

  return (
    hasRight && (
      <>
        <WaterMark content={watermark} font="20px Microsoft Yahei">
          <div className={styles.chartContainer}>
            <Image
              src={url}
              preview={false}
              //src={page}
              height={'100vh'}
            />
          </div>
        </WaterMark>
      </>
    )
  );
}
